BatchGenerator
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.predictions
Class BatchGenerator

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.engine.predictions.BatchGenerator

All Implemented Interfaces:
  BatchGeneratorI

    public class BatchGenerator

extends java.lang.Object
implements BatchGeneratorI

Constructor Summary
`BatchGenerator(BatchGeneratorObjectFactory.BatchPoolType type)`
`BatchGenerator(java.lang.String path, DBDescriptor credentials)`

Method Summary
`java.lang.String` | `generateHSPECTable(java.lang.String hcaf, java.lang.String hspen, java.lang.String filteredHSPEN, AlgorithmType type, java.lang.Boolean iscloud, java.lang.String endpoint)`
`void` | `generateTable(TableGenerationConfiguration configuration)`
`EnvironmentalExecutionReportItem` | `getReport(boolean getResourceInfo)`
`int` | `getReportId()`
`BatchGeneratorObjectFactory.BatchPoolType` | `getType()`
`void` | `setConfiguration(java.lang.String path, DBDescriptor credentials)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchGenerator

    public BatchGenerator(java.lang.String path,
                          DBDescriptor credentials)

### BatchGenerator

    public BatchGenerator(BatchGeneratorObjectFactory.BatchPoolType type)

Method Detail

### generateHSPECTable

    public java.lang.String generateHSPECTable(java.lang.String hcaf,
                                               java.lang.String hspen,
                                               java.lang.String filteredHSPEN,
                                               AlgorithmType type,
                                               java.lang.Boolean iscloud,
                                               java.lang.String endpoint)
                                        throws java.lang.Exception

  Specified by:
    `generateHSPECTable` in interface `BatchGeneratorI`
  Throws:
    `java.lang.Exception`

### setConfiguration

    public void setConfiguration(java.lang.String path,
                                 DBDescriptor credentials)

  Specified by:
    `setConfiguration` in interface `BatchGeneratorI`

### getType

    public BatchGeneratorObjectFactory.BatchPoolType getType()

  Specified by:
    `getType` in interface `BatchGeneratorI`

### getReport

    public EnvironmentalExecutionReportItem getReport(boolean getResourceInfo)

  Specified by:
    `getReport` in interface `BatchGeneratorI`

### getReportId

    public int getReportId()

  Specified by:
    `getReportId` in interface `BatchGeneratorI`

### generateTable

    public void generateTable(TableGenerationConfiguration configuration)
                       throws java.lang.Exception

  Specified by:
    `generateTable` in interface `BatchGeneratorI`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD